org.apache.fop.layoutmgr

## Class FootenoteUtil

- java.lang.Object
- - org.apache.fop.layoutmgr.FootenoteUtil

-     public final class FootenoteUtil
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<FootnoteBodyLayoutManager>` | `getFootnotes(List<ListElement> elemenList)` Returns the footnotes contained in the given element list.
    `static List<FootnoteBodyLayoutManager>` | `getFootnotes(List<ListElement> elemenList, int startIndex, int endIndex)` Returns the footnotes contained in the given element list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFootnotes

          public static List<FootnoteBodyLayoutManager> getFootnotes(List<ListElement> elemenList)

      Returns the footnotes contained in the given element list.

    - #### getFootnotes

          public static List<FootnoteBodyLayoutManager> getFootnotes(List<ListElement> elemenList,
                                                                     int startIndex,
                                                                     int endIndex)

      Returns the footnotes contained in the given element list.
      Parameters:
        `startIndex` - index in the element list from which to start the scan, inclusive
        `endIndex` - index in the element list at which to stop the scan, inclusive

Copyright © 2023 Apache Software Foundation. All rights reserved.